gi-gio-2.0.35: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Objects.NativeSocketAddress

Contents

- Exported types
- Methods
  - new

Description

A socket address of some unknown native type.

This corresponds to a general `struct sockaddr` of a type not otherwise handled by GLib.

Since: 2.46

Synopsis

- newtype NativeSocketAddress = NativeSocketAddress (ManagedPtr NativeSocketAddress)
- class (GObject o, IsDescendantOf NativeSocketAddress o) => IsNativeSocketAddress o
- toNativeSocketAddress :: (MonadIO m, IsNativeSocketAddress o) => o -> m NativeSocketAddress
- nativeSocketAddressNew :: (HasCallStack, MonadIO m) => Ptr () -> CSize -> m NativeSocketAddress

# Exported types

newtype NativeSocketAddress Source #

Memory-managed wrapper type.

Constructors

NativeSocketAddress (ManagedPtr NativeSocketAddress) |

#### Instances

Instances details

Eq NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress Methods (==) :: NativeSocketAddress -> NativeSocketAddress -> Bool Source # (/=) :: NativeSocketAddress -> NativeSocketAddress -> Bool Source #
GObject NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress
ManagedPtrNewtype NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress Methods toManagedPtr :: NativeSocketAddress -> ManagedPtr NativeSocketAddress Source #
TypedObject NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress Methods glibType :: IO GType Source #
HasParentTypes NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress
IsGValue (Maybe NativeSocketAddress) Source # | Convert `NativeSocketAddress` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Objects.NativeSocketAddress Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe NativeSocketAddress -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe NativeSocketAddress) Source #
type ParentTypes NativeSocketAddress Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress type ParentTypes NativeSocketAddress = '[SocketAddress, Object, SocketConnectable]

class (GObject o, IsDescendantOf NativeSocketAddress o) => IsNativeSocketAddress o Source #

Type class for types which can be safely cast to `NativeSocketAddress`, for instance with `toNativeSocketAddress`.

#### Instances

Instances details

(GObject o, IsDescendantOf NativeSocketAddress o) => IsNativeSocketAddress o Source # |
Instance details Defined in GI.Gio.Objects.NativeSocketAddress

toNativeSocketAddress :: (MonadIO m, IsNativeSocketAddress o) => o -> m NativeSocketAddress Source #

Cast to `NativeSocketAddress`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, enumerate, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, proxyEnumerate, ref, refSink, runDispose, stealData, stealQdata, thawNotify, toNative, toString, unref, watchClosure.

#### Getters

getData, getFamily, getNativeSize, getProperty, getQdata.

#### Setters

setData, setDataFull, setProperty.

## new

nativeSocketAddressNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Ptr () | `native`: a native address object
-> CSize | `len`: the length of `native`, in bytes
-> m NativeSocketAddress | Returns: a new `NativeSocketAddress`

Creates a new `NativeSocketAddress` for `native` and `len`.

Since: 2.46